- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Static Public Member Functions

# CurvePicker Class Reference

Search for all occurrences

## Detailed Description

Definition at line 194 of file curve.h.

`#include <curve.h>`

List of all members.

## Classes
struct | CurveHit
## Public Types
enum | CurveTestPoints { CTP_NONE = 0, CTP_START, CTP_END, CTP_START_END, CTP_ALL }
## Static Public Member Functions
static void | hitTestCurves (float fMouseX, float fMouseY, float distanceTolerance, QVector< CurveHit > &hitCurves, CurveTestPoints ctp=CTP_START_END, bool bTestLockedCurves=false)
static int | hitTestCurvePoints (float fMouseX, float fMouseY, float distanceTolerance, MudboxCurve *pCurve, CurveHit &curveHit, CurveTestPoints ctp=CTP_START_END)
static float | projectPointToCurve (float fMouseX, float fMouseY, MudboxCurve *pCurve, int iPointIndex, Vector &vProjection)
static bool | snapMouse (float fMouseX, float fMouseY, float fSnappingDistance, MudboxCurve *pCurve, float &fNewMouseX, float &fNewMouseY)

## Member Enumeration Documentation

enum CurveTestPoints

Search for all occurrences

Enumerator:

  CTP_NONE | Search for all occurrences
  CTP_START | Search for all occurrences
  CTP_END | Search for all occurrences
  CTP_START_END | Search for all occurrences
  CTP_ALL | Search for all occurrences

Definition at line 210 of file curve.h.

        {
            CTP_NONE = 0,
            CTP_START,
            CTP_END,
            CTP_START_END,
            CTP_ALL,
        };

## Member Function Documentation

static void hitTestCurves | ( | float | fMouseX,
|  | float | fMouseY,
|  | float | distanceTolerance,
|  | QVector< CurveHit > & | hitCurves,
|  | CurveTestPoints | ctp = `CTP_START_END`,
|  | bool | bTestLockedCurves = `false`
| ) |  | `[static]`

Search for all occurrences

static int hitTestCurvePoints | ( | float | fMouseX,
|  | float | fMouseY,
|  | float | distanceTolerance,
|  | MudboxCurve * | pCurve,
|  | CurveHit & | curveHit,
|  | CurveTestPoints | ctp = `CTP_START_END`
| ) |  | `[static]`

Search for all occurrences

static float projectPointToCurve | ( | float | fMouseX,
|  | float | fMouseY,
|  | MudboxCurve * | pCurve,
|  | int | iPointIndex,
|  | Vector & | vProjection
| ) |  | `[static]`

Search for all occurrences

static bool snapMouse | ( | float | fMouseX,
|  | float | fMouseY,
|  | float | fSnappingDistance,
|  | MudboxCurve * | pCurve,
|  | float & | fNewMouseX,
|  | float & | fNewMouseY
| ) |  | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- Mudbox/curve.h

CurvePicker CurvePicker CurvePicker CurvePicker CurvePicker CurvePicker CurvePicker CurvePicker CurvePicker CurvePicker
CurvePicker CurvePicker CurvePicker CurvePicker CurvePicker CurvePicker CurvePicker CurvePicker CurvePicker CurvePicker